Bug 277407 - Cannot move objects between layers
Summary: Cannot move objects between layers
Status: RESOLVED FIXED
Alias: None
Product: karbon
Classification: Unclassified
Component: general (show other bugs)
Version: 2.4-snapshots
Platform: Unlisted Binaries Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Jan Hambrecht
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-07-09 10:03 UTC by ash
Modified: 2011-07-11 22:04 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ash 2011-07-09 10:03:06 UTC
Version:           2.4-snapshots (using Devel) 
OS:                Linux

Dragging object in the layers tree view, from one layer to another, has no effect

Reproducible: Always

Steps to Reproduce:
Make 2 layers. Draw an object in one of them, go to the tree view and try to move it to the other

Actual Results:  
Nothing happens

Expected Results:  
The object can be dragged and dropped to the destination
Comment 1 Jan Hambrecht 2011-07-11 22:04:14 UTC
Git commit e2e58379d7dc9e51e1ad63a81837f98bb1f566d5 by Jan Hambrecht.
Committed on 12/07/2011 at 00:01.
Pushed by jaham into branch 'master'.

implemented moving object between layers

i am actually not sure if that was already working at some point
in the past or if it was never thought of before. but here we go...

BUG:277407

M  +21   -14   karbon/ui/dockers/KarbonLayerModel.cpp     

http://commits.kde.org/calligra/e2e58379d7dc9e51e1ad63a81837f98bb1f566d5